SoundSoftware Code Site - Feature #540

Feature # 562 (Closed): Overhaul project discovery
Adding a publication should contribute to activities log
2012-11-12 01:39 PM - Chris Cannam

Status: Closed Start date: 2012-11-12
Priority: High Due date:

Assignee: Luis Figueira % Done: 60%
Category: Estimated time: 0.00 hour
Target version:

Description

Adding a publication should be something that shows up in the activity logs (e.g. in /activity?user_id=X or /projects/X/activity).

History

#1 - 2012-11-12 01:40 PM - Chris Cannam

(This may be a question of judicious use of acts_as_event)

#2 - 2012-11-22 04:55 PM - Luis Figueira

- Status changed from New to In Progress

- % Done changed from 0 to 40

New publications are already being logged as events. | still need to edit the ActivityController#index.

Check the commit:5bd8c86¢cfaba for more know issues.

#3 - 2012-11-22 04:55 PM - Luis Figueira

Luis Figueira wrote:

New publications are already being logged as events. | still need to edit the ActivityController#index view.

Check the commit:5bd8c86cfaba for more know issues.

#4 - 2012-11-23 04:04 PM - Chris Cannam
- Priority changed from Normal to High

#5 - 2012-11-23 05:59 PM - Luis Figueira
- % Done changed from 40 to 60

Still needs some testing and cleaning up - specially in activities index and _recent views (overriden in the bibliography plugin).

#6 - 2013-01-21 04:03 PM - Chris Cannam
- Parent task set to #562
#7 - 2013-01-23 11:40 AM - Chris Cannam

See also #569

#8 - 2014-03-21 02:35 PM - Chris Cannam
- Status changed from In Progress to Closed
